# Generated from puppet-blacksmith-6.1.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name puppet-blacksmith

Name: rubygem-%{gem_name}
Version: 6.1.1
Release: 1%{?dist}
Summary: Tasks to manage Puppet module builds
License: Apache-2.0
URL: http://github.com/voxpupuli/puppet-blacksmith
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.4.0
# BuildRequires: rubygem(puppet) >= 2.7.16
# BuildRequires: rubygem(cucumber)
# BuildRequires: rubygem(aruba)
# BuildRequires: rubygem(rspec) >= 3.0.0
# BuildRequires: rubygem(webmock) >= 2.0
# BuildRequires: rubygem(webmock) < 4
BuildArch: noarch

%description
Puppet module tools for development and Puppet Forge management.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# cucumber
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/spec

%changelog
* Tue Aug 24 2021 mockbuilder - 6.1.1-1
- Initial package
